Package org.eclipse.emf.cdo.security

# Interface SecurityPackage

All Superinterfaces:
  `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `Notifier`

All Known Implementing Classes:
  `SecurityPackageImpl`

public interface SecurityPackage extends EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `SecurityFactory`
Generated
Model
  kind="package"
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`SecurityPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACCESS`
The meta object id for the '`Access`' enum.
`static final int`
`ACCESS_OBJECT`
The meta object id for the 'Access Object' data type.
`static final int`
`AND_FILTER`
The meta object id for the '`And Filter`' class.
`static final int`
`AND_FILTER__OPERANDS`
The feature id for the 'Operands' containment reference list.
`static final int`
`AND_FILTER_FEATURE_COUNT`
The number of structural features of the 'And Filter' class.
`static final int`
`AND_FILTER_OPERATION_COUNT`
The number of operations of the 'And Filter' class.
`static final int`
`ASSIGNEE`
The meta object id for the '`Assignee`' class.
`static final int`
`ASSIGNEE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`ASSIGNEE___GET_REALM`
The operation id for the 'Get Realm' operation.
`static final int`
`ASSIGNEE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`ASSIGNEE__ID`
The feature id for the 'Id' attribute.
`static final int`
`ASSIGNEE__ROLES`
The feature id for the 'Roles' reference list.
`static final int`
`ASSIGNEE_FEATURE_COUNT`
The number of structural features of the 'Assignee' class.
`static final int`
`ASSIGNEE_OPERATION_COUNT`
The number of operations of the 'Assignee' class.
`static final int`
`CLASS_FILTER`
The meta object id for the '`Class Filter`' class.
`static final int`
`CLASS_FILTER__APPLICABLE_CLASS`
The feature id for the 'Applicable Class' reference.
`static final int`
`CLASS_FILTER__SUB_TYPES`
The feature id for the 'Sub Types' attribute.
`static final int`
`CLASS_FILTER_FEATURE_COUNT`
The number of structural features of the 'Class Filter' class.
`static final int`
`CLASS_FILTER_OPERATION_COUNT`
The number of operations of the 'Class Filter' class.
`static final int`
`CLASS_PERMISSION`
The meta object id for the '`Class Permission`' class.
`static final int`
`CLASS_PERMISSION__ACCESS`
The feature id for the 'Access' attribute.
`static final int`
`CLASS_PERMISSION__APPLICABLE_CLASS`
The feature id for the 'Applicable Class' reference.
`static final int`
`CLASS_PERMISSION__ROLE`
The feature id for the 'Role' container reference.
`static final int`
`CLASS_PERMISSION_FEATURE_COUNT`
The number of structural features of the 'Class Permission' class.
`static final int`
`CLASS_PERMISSION_OPERATION_COUNT`
The number of operations of the 'Class Permission' class.
`static final int`
`COMBINED_FILTER`
The meta object id for the '`Combined Filter`' class.
`static final int`
`COMBINED_FILTER__OPERANDS`
The feature id for the 'Operands' containment reference list.
`static final int`
`COMBINED_FILTER_FEATURE_COUNT`
The number of structural features of the 'Combined Filter' class.
`static final int`
`COMBINED_FILTER_OPERATION_COUNT`
The number of operations of the 'Combined Filter' class.
`static final int`
`DIRECTORY`
The meta object id for the '`Directory`' class.
`static final int`
`DIRECTORY___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`DIRECTORY___GET_REALM`
The operation id for the 'Get Realm' operation.
`static final int`
`DIRECTORY__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`DIRECTORY__ITEMS`
The feature id for the 'Items' containment reference list.
`static final int`
`DIRECTORY__NAME`
The feature id for the 'Name' attribute.
`static final int`
`DIRECTORY_FEATURE_COUNT`
The number of structural features of the 'Directory' class.
`static final int`
`DIRECTORY_OPERATION_COUNT`
The number of operations of the 'Directory' class.
`static final SecurityPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`EXPRESSION_FILTER`
The meta object id for the '`Expression Filter`' class.
`static final int`
`EXPRESSION_FILTER__EXPRESSION`
The feature id for the 'Expression' containment reference.
`static final int`
`EXPRESSION_FILTER_FEATURE_COUNT`
The number of structural features of the 'Expression Filter' class.
`static final int`
`EXPRESSION_FILTER_OPERATION_COUNT`
The number of operations of the 'Expression Filter' class.
`static final int`
`FILTER_PERMISSION`
The meta object id for the '`Filter Permission`' class.
`static final int`
`FILTER_PERMISSION__ACCESS`
The feature id for the 'Access' attribute.
`static final int`
`FILTER_PERMISSION__FILTERS`
The feature id for the 'Filters' containment reference list.
`static final int`
`FILTER_PERMISSION__ROLE`
The feature id for the 'Role' container reference.
`static final int`
`FILTER_PERMISSION_FEATURE_COUNT`
The number of structural features of the 'Filter Permission' class.
`static final int`
`FILTER_PERMISSION_OPERATION_COUNT`
The number of operations of the 'Filter Permission' class.
`static final int`
`GROUP`
The meta object id for the '`Group`' class.
`static final int`
`GROUP___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`GROUP___GET_REALM`
The operation id for the 'Get Realm' operation.
`static final int`
`GROUP__ALL_INHERITED_GROUPS`
The feature id for the 'All Inherited Groups' reference list.
`static final int`
`GROUP__ALL_INHERITING_GROUPS`
The feature id for the 'All Inheriting Groups' reference list.
`static final int`
`GROUP__ALL_ROLES`
The feature id for the 'All Roles' reference list.
`static final int`
`GROUP__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`GROUP__ID`
The feature id for the 'Id' attribute.
`static final int`
`GROUP__INHERITED_GROUPS`
The feature id for the 'Inherited Groups' reference list.
`static final int`
`GROUP__INHERITING_GROUPS`
The feature id for the 'Inheriting Groups' reference list.
`static final int`
`GROUP__ROLES`
The feature id for the 'Roles' reference list.
`static final int`
`GROUP__USERS`
The feature id for the 'Users' reference list.
`static final int`
`GROUP_FEATURE_COUNT`
The number of structural features of the 'Group' class.
`static final int`
`GROUP_OPERATION_COUNT`
The number of operations of the 'Group' class.
`static final int`
`LINKED_FILTER`
The meta object id for the '`Linked Filter`' class.
`static final int`
`LINKED_FILTER__FILTER`
The feature id for the 'Filter' reference.
`static final int`
`LINKED_FILTER_FEATURE_COUNT`
The number of structural features of the 'Linked Filter' class.
`static final int`
`LINKED_FILTER_OPERATION_COUNT`
The number of operations of the 'Linked Filter' class.
`static final int`
`NOT_FILTER`
The meta object id for the '`Not Filter`' class.
`static final int`
`NOT_FILTER__OPERANDS`
The feature id for the 'Operands' containment reference list.
`static final int`
`NOT_FILTER_FEATURE_COUNT`
The number of structural features of the 'Not Filter' class.
`static final int`
`NOT_FILTER_OPERATION_COUNT`
The number of operations of the 'Not Filter' class.
`static final int`
`OBJECT_FILTER`
The meta object id for the '`Object Filter`' class.
`static final int`
`OBJECT_FILTER_FEATURE_COUNT`
The number of structural features of the 'Object Filter' class.
`static final int`
`OBJECT_FILTER_OPERATION_COUNT`
The number of operations of the 'Object Filter' class.
`static final int`
`OBJECT_PERMISSION`
The meta object id for the '`Object Permission`' class.
`static final int`
`OBJECT_PERMISSION__ACCESS`
The feature id for the 'Access' attribute.
`static final int`
`OBJECT_PERMISSION__ROLE`
The feature id for the 'Role' container reference.
`static final int`
`OBJECT_PERMISSION_FEATURE_COUNT`
The number of structural features of the 'Object Permission' class.
`static final int`
`OBJECT_PERMISSION_OPERATION_COUNT`
The number of operations of the 'Object Permission' class.
`static final int`
`OR_FILTER`
The meta object id for the '`Or Filter`' class.
`static final int`
`OR_FILTER__OPERANDS`
The feature id for the 'Operands' containment reference list.
`static final int`
`OR_FILTER_FEATURE_COUNT`
The number of structural features of the 'Or Filter' class.
`static final int`
`OR_FILTER_OPERATION_COUNT`
The number of operations of the 'Or Filter' class.
`static final int`
`PACKAGE_FILTER`
The meta object id for the '`Package Filter`' class.
`static final int`
`PACKAGE_FILTER__APPLICABLE_PACKAGE`
The feature id for the 'Applicable Package' reference.
`static final int`
`PACKAGE_FILTER_FEATURE_COUNT`
The number of structural features of the 'Package Filter' class.
`static final int`
`PACKAGE_FILTER_OPERATION_COUNT`
The number of operations of the 'Package Filter' class.
`static final int`
`PACKAGE_PERMISSION`
The meta object id for the '`Package Permission`' class.
`static final int`
`PACKAGE_PERMISSION__ACCESS`
The feature id for the 'Access' attribute.
`static final int`
`PACKAGE_PERMISSION__APPLICABLE_PACKAGE`
The feature id for the 'Applicable Package' reference.
`static final int`
`PACKAGE_PERMISSION__ROLE`
The feature id for the 'Role' container reference.
`static final int`
`PACKAGE_PERMISSION_FEATURE_COUNT`
The number of structural features of the 'Package Permission' class.
`static final int`
`PACKAGE_PERMISSION_OPERATION_COUNT`
The number of operations of the 'Package Permission' class.
`static final int`
`PATTERN_STYLE`
The meta object id for the '`Pattern Style`' enum.
`static final int`
`PERMISSION`
The meta object id for the '`Permission`' class.
`static final int`
`PERMISSION__ACCESS`
The feature id for the 'Access' attribute.
`static final int`
`PERMISSION__ROLE`
The feature id for the 'Role' container reference.
`static final int`
`PERMISSION_FEATURE_COUNT`
The number of structural features of the 'Permission' class.
`static final int`
`PERMISSION_FILTER`
The meta object id for the '`Permission Filter`' class.
`static final int`
`PERMISSION_FILTER_FEATURE_COUNT`
The number of structural features of the 'Permission Filter' class.
`static final int`
`PERMISSION_FILTER_OPERATION_COUNT`
The number of operations of the 'Permission Filter' class.
`static final int`
`PERMISSION_OPERATION_COUNT`
The number of operations of the 'Permission' class.
`static final int`
`REALM`
The meta object id for the '`Realm`' class.
`static final int`
`REALM___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`REALM___GET_REALM`
The operation id for the 'Get Realm' operation.
`static final int`
`REALM__ALL_GROUPS`
The feature id for the 'All Groups' reference list.
`static final int`
`REALM__ALL_PERMISSIONS`
The feature id for the 'All Permissions' reference list.
`static final int`
`REALM__ALL_ROLES`
The feature id for the 'All Roles' reference list.
`static final int`
`REALM__ALL_USERS`
The feature id for the 'All Users' reference list.
`static final int`
`REALM__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`REALM__DEFAULT_ACCESS`
The feature id for the 'Default Access' attribute.
`static final int`
`REALM__DEFAULT_GROUP_DIRECTORY`
The feature id for the 'Default Group Directory' reference.
`static final int`
`REALM__DEFAULT_ROLE_DIRECTORY`
The feature id for the 'Default Role Directory' reference.
`static final int`
`REALM__DEFAULT_USER_DIRECTORY`
The feature id for the 'Default User Directory' reference.
`static final int`
`REALM__ITEMS`
The feature id for the 'Items' containment reference list.
`static final int`
`REALM__NAME`
The feature id for the 'Name' attribute.
`static final int`
`REALM_FEATURE_COUNT`
The number of structural features of the 'Realm' class.
`static final int`
`REALM_OPERATION_COUNT`
The number of operations of the 'Realm' class.
`static final int`
`RESOURCE_FILTER`
The meta object id for the '`Resource Filter`' class.
`static final int`
`RESOURCE_FILTER__BINARY_RESOURCES`
The feature id for the 'Binary Resources' attribute.
`static final int`
`RESOURCE_FILTER__FOLDERS`
The feature id for the 'Folders' attribute.
`static final int`
`RESOURCE_FILTER__INCLUDE_PARENTS`
The feature id for the 'Include Parents' attribute.
`static final int`
`RESOURCE_FILTER__INCLUDE_ROOT`
The feature id for the 'Include Root' attribute.
`static final int`
`RESOURCE_FILTER__MODEL_OBJECTS`
The feature id for the 'Model Objects' attribute.
`static final int`
`RESOURCE_FILTER__MODEL_RESOURCES`
The feature id for the 'Model Resources' attribute.
`static final int`
`RESOURCE_FILTER__PATH`
The feature id for the 'Path' attribute.
`static final int`
`RESOURCE_FILTER__PATTERN_STYLE`
The feature id for the 'Pattern Style' attribute.
`static final int`
`RESOURCE_FILTER__TEXT_RESOURCES`
The feature id for the 'Text Resources' attribute.
`static final int`
`RESOURCE_FILTER_FEATURE_COUNT`
The number of structural features of the 'Resource Filter' class.
`static final int`
`RESOURCE_FILTER_OPERATION_COUNT`
The number of operations of the 'Resource Filter' class.
`static final int`
`RESOURCE_PERMISSION`
The meta object id for the '`Resource Permission`' class.
`static final int`
`RESOURCE_PERMISSION__ACCESS`
The feature id for the 'Access' attribute.
`static final int`
`RESOURCE_PERMISSION__PATTERN`
The feature id for the 'Pattern' attribute.
`static final int`
`RESOURCE_PERMISSION__ROLE`
The feature id for the 'Role' container reference.
`static final int`
`RESOURCE_PERMISSION_FEATURE_COUNT`
The number of structural features of the 'Resource Permission' class.
`static final int`
`RESOURCE_PERMISSION_OPERATION_COUNT`
The number of operations of the 'Resource Permission' class.
`static final int`
`ROLE`
The meta object id for the '`Role`' class.
`static final int`
`ROLE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`ROLE___GET_REALM`
The operation id for the 'Get Realm' operation.
`static final int`
`ROLE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`ROLE__ASSIGNEES`
The feature id for the 'Assignees' reference list.
`static final int`
`ROLE__ID`
The feature id for the 'Id' attribute.
`static final int`
`ROLE__PERMISSIONS`
The feature id for the 'Permissions' containment reference list.
`static final int`
`ROLE_FEATURE_COUNT`
The number of structural features of the 'Role' class.
`static final int`
`ROLE_OPERATION_COUNT`
The number of operations of the 'Role' class.
`static final int`
`SECURITY_ELEMENT`
The meta object id for the '`Element`' class.
`static final int`
`SECURITY_ELEMENT___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`SECURITY_ELEMENT___GET_REALM`
The operation id for the 'Get Realm' operation.
`static final int`
`SECURITY_ELEMENT__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`SECURITY_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Element' class.
`static final int`
`SECURITY_ELEMENT_OPERATION_COUNT`
The number of operations of the 'Element' class.
`static final int`
`SECURITY_ITEM`
The meta object id for the '`Item`' class.
`static final int`
`SECURITY_ITEM___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`SECURITY_ITEM___GET_REALM`
The operation id for the 'Get Realm' operation.
`static final int`
`SECURITY_ITEM__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`SECURITY_ITEM_FEATURE_COUNT`
The number of structural features of the 'Item' class.
`static final int`
`SECURITY_ITEM_OPERATION_COUNT`
The number of operations of the 'Item' class.
`static final int`
`USER`
The meta object id for the '`User`' class.
`static final int`
`USER___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`USER___GET_REALM`
The operation id for the 'Get Realm' operation.
`static final int`
`USER__ALL_GROUPS`
The feature id for the 'All Groups' reference list.
`static final int`
`USER__ALL_PERMISSIONS`
The feature id for the 'All Permissions' reference list.
`static final int`
`USER__ALL_ROLES`
The feature id for the 'All Roles' reference list.
`static final int`
`USER__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`USER__DEFAULT_ACCESS`
The feature id for the 'Default Access' attribute.
`static final int`
`USER__DEFAULT_ACCESS_OVERRIDE`
The feature id for the 'Default Access Override' attribute.
`static final int`
`USER__EMAIL`
The feature id for the 'Email' attribute.
`static final int`
`USER__FIRST_NAME`
The feature id for the 'First Name' attribute.
`static final int`
`USER__GROUPS`
The feature id for the 'Groups' reference list.
`static final int`
`USER__ID`
The feature id for the 'Id' attribute.
`static final int`
`USER__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`USER__LAST_NAME`
The feature id for the 'Last Name' attribute.
`static final int`
`USER__LOCKED`
The feature id for the 'Locked' attribute.
`static final int`
`USER__PASSWORD`
The feature id for the 'Password' containment reference.
`static final int`
`USER__ROLES`
The feature id for the 'Roles' reference list.
`static final int`
`USER__UNASSIGNED_ROLES`
The feature id for the 'Unassigned Roles' reference list.
`static final int`
`USER_FEATURE_COUNT`
The number of structural features of the 'User' class.
`static final int`
`USER_OPERATION_COUNT`
The number of operations of the 'User' class.
`static final int`
`USER_PASSWORD`
The meta object id for the '`User Password`' class.
`static final int`
`USER_PASSWORD__ENCRYPTED`
The feature id for the 'Encrypted' attribute.
`static final int`
`USER_PASSWORD_FEATURE_COUNT`
The number of structural features of the 'User Password' class.
`static final int`
`USER_PASSWORD_OPERATION_COUNT`
The number of operations of the 'User Password' class.

## Method Summary

Modifier and Type
Method
Description
`EEnum`
`getAccess()`
Returns the meta object for enum '`Access`'.
`EDataType`
`getAccessObject()`
Returns the meta object for data type '`Access Object`'.
`EClass`
`getAndFilter()`
Returns the meta object for class '`And Filter`'.
`EClass`
`getAssignee()`
Returns the meta object for class '`Assignee`'.
`EAttribute`
`getAssignee_Id()`
Returns the meta object for the attribute '`Id`'.
`EReference`
`getAssignee_Roles()`
Returns the meta object for the reference list '`Roles`'.
`EClass`
`getClassFilter()`
Returns the meta object for class '`Class Filter`'.
`EReference`
`getClassFilter_ApplicableClass()`
Returns the meta object for the reference '`Applicable Class`'.
`EAttribute`
`getClassFilter_SubTypes()`
Returns the meta object for the attribute '`Sub Types`'.
`EClass`
`getClassPermission()`
Returns the meta object for class '`Class Permission`'.
`EReference`
`getClassPermission_ApplicableClass()`
Returns the meta object for the reference '`Applicable Class`'.
`EClass`
`getCombinedFilter()`
Returns the meta object for class '`Combined Filter`'.
`EReference`
`getCombinedFilter_Operands()`
Returns the meta object for the containment reference list '`Operands`'.
`EClass`
`getDirectory()`
Returns the meta object for class '`Directory`'.
`EReference`
`getDirectory_Items()`
Returns the meta object for the containment reference list '`Items`'.
`EAttribute`
`getDirectory_Name()`
Returns the meta object for the attribute '`Name`'.
`EClass`
`getExpressionFilter()`
Returns the meta object for class '`Expression Filter`'.
`EReference`
`getExpressionFilter_Expression()`
Returns the meta object for the containment reference '`Expression`'.
`EClass`
`getFilterPermission()`
Returns the meta object for class '`Filter Permission`'.
`EReference`
`getFilterPermission_Filters()`
Returns the meta object for the containment reference list '`Filters`'.
`EClass`
`getGroup()`
Returns the meta object for class '`Group`'.
`EReference`
`getGroup_AllInheritedGroups()`
Returns the meta object for the reference list '`All Inherited Groups`'.
`EReference`
`getGroup_AllInheritingGroups()`
Returns the meta object for the reference list '`All Inheriting Groups`'.
`EReference`
`getGroup_AllRoles()`
Returns the meta object for the reference list '`All Roles`'.
`EReference`
`getGroup_InheritedGroups()`
Returns the meta object for the reference list '`Inherited Groups`'.
`EReference`
`getGroup_InheritingGroups()`
Returns the meta object for the reference list '`Inheriting Groups`'.
`EReference`
`getGroup_Users()`
Returns the meta object for the reference list '`Users`'.
`EClass`
`getLinkedFilter()`
Returns the meta object for class '`Linked Filter`'.
`EReference`
`getLinkedFilter_Filter()`
Returns the meta object for the reference '`Filter`'.
`EClass`
`getNotFilter()`
Returns the meta object for class '`Not Filter`'.
`EClass`
`getObjectFilter()`
Returns the meta object for class '`Object Filter`'.
`EClass`
`getObjectPermission()`
Returns the meta object for class '`Object Permission`'.
`EClass`
`getOrFilter()`
Returns the meta object for class '`Or Filter`'.
`EClass`
`getPackageFilter()`
Returns the meta object for class '`Package Filter`'.
`EReference`
`getPackageFilter_ApplicablePackage()`
Returns the meta object for the reference '`Applicable Package`'.
`EClass`
`getPackagePermission()`
Returns the meta object for class '`Package Permission`'.
`EReference`
`getPackagePermission_ApplicablePackage()`
Returns the meta object for the reference '`Applicable Package`'.
`EEnum`
`getPatternStyle()`
Returns the meta object for enum '`Pattern Style`'.
`EClass`
`getPermission()`
Returns the meta object for class '`Permission`'.
`EAttribute`
`getPermission_Access()`
Returns the meta object for the attribute '`Access`'.
`EReference`
`getPermission_Role()`
Returns the meta object for the container reference '`Role`'.
`EClass`
`getPermissionFilter()`
Returns the meta object for class '`Permission Filter`'.
`EClass`
`getRealm()`
Returns the meta object for class '`Realm`'.
`EReference`
`getRealm_AllGroups()`
Returns the meta object for the reference list '`All Groups`'.
`EReference`
`getRealm_AllPermissions()`
Returns the meta object for the reference list '`All Permissions`'.
`EReference`
`getRealm_AllRoles()`
Returns the meta object for the reference list '`All Roles`'.
`EReference`
`getRealm_AllUsers()`
Returns the meta object for the reference list '`All Users`'.
`EAttribute`
`getRealm_DefaultAccess()`
Returns the meta object for the attribute '`Default Access`'.
`EReference`
`getRealm_DefaultGroupDirectory()`
Returns the meta object for the reference '`Default Group Directory`'.
`EReference`
`getRealm_DefaultRoleDirectory()`
Returns the meta object for the reference '`Default Role Directory`'.
`EReference`
`getRealm_DefaultUserDirectory()`
Returns the meta object for the reference '`Default User Directory`'.
`EReference`
`getRealm_Items()`
Returns the meta object for the containment reference list '`Items`'.
`EAttribute`
`getRealm_Name()`
Returns the meta object for the attribute '`Name`'.
`EClass`
`getResourceFilter()`
Returns the meta object for class '`Resource Filter`'.
`EAttribute`
`getResourceFilter_BinaryResources()`
Returns the meta object for the attribute '`Binary Resources`'.
`EAttribute`
`getResourceFilter_Folders()`
Returns the meta object for the attribute '`Folders`'.
`EAttribute`
`getResourceFilter_IncludeParents()`
Returns the meta object for the attribute '`Include Parents`'.
`EAttribute`
`getResourceFilter_IncludeRoot()`
Returns the meta object for the attribute '`Include Root`'.
`EAttribute`
`getResourceFilter_ModelObjects()`
Returns the meta object for the attribute '`Model Objects`'.
`EAttribute`
`getResourceFilter_ModelResources()`
Returns the meta object for the attribute '`Model Resources`'.
`EAttribute`
`getResourceFilter_Path()`
Returns the meta object for the attribute '`Path`'.
`EAttribute`
`getResourceFilter_PatternStyle()`
Returns the meta object for the attribute '`Pattern Style`'.
`EAttribute`
`getResourceFilter_TextResources()`
Returns the meta object for the attribute '`Text Resources`'.
`EClass`
`getResourcePermission()`
Returns the meta object for class '`Resource Permission`'.
`EAttribute`
`getResourcePermission_Pattern()`
Returns the meta object for the attribute '`Pattern`'.
`EClass`
`getRole()`
Returns the meta object for class '`Role`'.
`EReference`
`getRole_Assignees()`
Returns the meta object for the reference list '`Assignees`'.
`EAttribute`
`getRole_Id()`
Returns the meta object for the attribute '`Id`'.
`EReference`
`getRole_Permissions()`
Returns the meta object for the containment reference list '`Permissions`'.
`EClass`
`getSecurityElement()`
Returns the meta object for class '`Element`'.
`EOperation`
`getSecurityElement__GetRealm()`
Returns the meta object for the '`Get Realm`' operation.
`SecurityFactory`
`getSecurityFactory()`
Returns the factory that creates the instances of the model.
`EClass`
`getSecurityItem()`
Returns the meta object for class '`Item`'.
`EClass`
`getUser()`
Returns the meta object for class '`User`'.
`EReference`
`getUser_AllGroups()`
Returns the meta object for the reference list '`All Groups`'.
`EReference`
`getUser_AllPermissions()`
Returns the meta object for the reference list '`All Permissions`'.
`EReference`
`getUser_AllRoles()`
Returns the meta object for the reference list '`All Roles`'.
`EAttribute`
`getUser_DefaultAccess()`
Returns the meta object for the attribute '`Default Access`'.
`EAttribute`
`getUser_DefaultAccessOverride()`
Returns the meta object for the attribute '`Default Access Override`'.
`EAttribute`
`getUser_Email()`
Returns the meta object for the attribute '`Email`'.
`EAttribute`
`getUser_FirstName()`
Returns the meta object for the attribute '`First Name`'.
`EReference`
`getUser_Groups()`
Returns the meta object for the reference list '`Groups`'.
`EAttribute`
`getUser_Label()`
Returns the meta object for the attribute '`Label`'.
`EAttribute`
`getUser_LastName()`
Returns the meta object for the attribute '`Last Name`'.
`EAttribute`
`getUser_Locked()`
Returns the meta object for the attribute '`Locked`'.
`EReference`
`getUser_Password()`
Returns the meta object for the containment reference '`Password`'.
`EReference`
`getUser_UnassignedRoles()`
Returns the meta object for the reference list '`Unassigned Roles`'.
`EClass`
`getUserPassword()`
Returns the meta object for class '`User Password`'.
`EAttribute`
`getUserPassword_Encrypted()`
Returns the meta object for the attribute '`Encrypted`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values
Generated

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values
Generated

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values
Generated

### eINSTANCE

static final SecurityPackage eINSTANCE
The singleton instance of the package.

Generated

### SECURITY_ELEMENT

static final int SECURITY_ELEMENT
The meta object id for the '`Element`' class.

See Also:
  - `SecurityElementImpl`
  - `SecurityPackageImpl.getSecurityElement()`
  - Constant Field Values
Generated

### SECURITY_ELEMENT__ANNOTATIONS

static final int SECURITY_ELEMENT__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### SECURITY_ELEMENT_FEATURE_COUNT

static final int SECURITY_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### SECURITY_ELEMENT___GET_ANNOTATION__STRING

static final int SECURITY_ELEMENT___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### SECURITY_ELEMENT___GET_REALM

static final int SECURITY_ELEMENT___GET_REALM
The operation id for the 'Get Realm' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### SECURITY_ELEMENT_OPERATION_COUNT

static final int SECURITY_ELEMENT_OPERATION_COUNT
The number of operations of the 'Element' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### REALM

static final int REALM
The meta object id for the '`Realm`' class.

See Also:
  - `RealmImpl`
  - `SecurityPackageImpl.getRealm()`
  - Constant Field Values
Generated

### DIRECTORY

static final int DIRECTORY
The meta object id for the '`Directory`' class.

See Also:
  - `DirectoryImpl`
  - `SecurityPackageImpl.getDirectory()`
  - Constant Field Values
Generated

### SECURITY_ITEM

static final int SECURITY_ITEM
The meta object id for the '`Item`' class.

See Also:
  - `SecurityItemImpl`
  - `SecurityPackageImpl.getSecurityItem()`
  - Constant Field Values
Generated

### SECURITY_ITEM__ANNOTATIONS

static final int SECURITY_ITEM__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### SECURITY_ITEM_FEATURE_COUNT

static final int SECURITY_ITEM_FEATURE_COUNT
The number of structural features of the 'Item' class.

See Also:
  - Constant Field Values
Generated
Ordered

### SECURITY_ITEM___GET_ANNOTATION__STRING

static final int SECURITY_ITEM___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### SECURITY_ITEM___GET_REALM

static final int SECURITY_ITEM___GET_REALM
The operation id for the 'Get Realm' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### SECURITY_ITEM_OPERATION_COUNT

static final int SECURITY_ITEM_OPERATION_COUNT
The number of operations of the 'Item' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### REALM__ANNOTATIONS

static final int REALM__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REALM__ITEMS

static final int REALM__ITEMS
The feature id for the 'Items' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REALM__ALL_USERS

static final int REALM__ALL_USERS
The feature id for the 'All Users' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REALM__ALL_GROUPS

static final int REALM__ALL_GROUPS
The feature id for the 'All Groups' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REALM__ALL_ROLES

static final int REALM__ALL_ROLES
The feature id for the 'All Roles' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REALM__ALL_PERMISSIONS

static final int REALM__ALL_PERMISSIONS
The feature id for the 'All Permissions' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REALM__NAME

static final int REALM__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REALM__DEFAULT_ACCESS

static final int REALM__DEFAULT_ACCESS
The feature id for the 'Default Access' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REALM__DEFAULT_USER_DIRECTORY

static final int REALM__DEFAULT_USER_DIRECTORY
The feature id for the 'Default User Directory' reference.

Since:
  4.2
See Also:
  - Constant Field Values
Generated
Ordered

### REALM__DEFAULT_GROUP_DIRECTORY

static final int REALM__DEFAULT_GROUP_DIRECTORY
The feature id for the 'Default Group Directory' reference.

Since:
  4.2
See Also:
  - Constant Field Values
Generated
Ordered

### REALM__DEFAULT_ROLE_DIRECTORY

static final int REALM__DEFAULT_ROLE_DIRECTORY
The feature id for the 'Default Role Directory' reference.

Since:
  4.2
See Also:
  - Constant Field Values
Generated
Ordered

### REALM_FEATURE_COUNT

static final int REALM_FEATURE_COUNT
The number of structural features of the 'Realm' class.

See Also:
  - Constant Field Values
Generated
Ordered
No Reference
  This field is not intended to be referenced by clients.

### REALM___GET_ANNOTATION__STRING

static final int REALM___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### REALM___GET_REALM

static final int REALM___GET_REALM
The operation id for the 'Get Realm' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### REALM_OPERATION_COUNT

static final int REALM_OPERATION_COUNT
The number of operations of the 'Realm' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### DIRECTORY__ANNOTATIONS

static final int DIRECTORY__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DIRECTORY__ITEMS

static final int DIRECTORY__ITEMS
The feature id for the 'Items' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DIRECTORY__NAME

static final int DIRECTORY__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DIRECTORY_FEATURE_COUNT

static final int DIRECTORY_FEATURE_COUNT
The number of structural features of the 'Directory' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DIRECTORY___GET_ANNOTATION__STRING

static final int DIRECTORY___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### DIRECTORY___GET_REALM

static final int DIRECTORY___GET_REALM
The operation id for the 'Get Realm' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### DIRECTORY_OPERATION_COUNT

static final int DIRECTORY_OPERATION_COUNT
The number of operations of the 'Directory' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### ROLE

static final int ROLE
The meta object id for the '`Role`' class.

See Also:
  - `RoleImpl`
  - `SecurityPackageImpl.getRole()`
  - Constant Field Values
Generated

### ROLE__ANNOTATIONS

static final int ROLE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ROLE__ID

static final int ROLE__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### ROLE__PERMISSIONS

static final int ROLE__PERMISSIONS
The feature id for the 'Permissions' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ROLE__ASSIGNEES

static final int ROLE__ASSIGNEES
The feature id for the 'Assignees' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ROLE_FEATURE_COUNT

static final int ROLE_FEATURE_COUNT
The number of structural features of the 'Role' class.

See Also:
  - Constant Field Values
Generated
Ordered

### ROLE___GET_ANNOTATION__STRING

static final int ROLE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### ROLE___GET_REALM

static final int ROLE___GET_REALM
The operation id for the 'Get Realm' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### ROLE_OPERATION_COUNT

static final int ROLE_OPERATION_COUNT
The number of operations of the 'Role' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### ASSIGNEE

static final int ASSIGNEE
The meta object id for the '`Assignee`' class.

See Also:
  - `AssigneeImpl`
  - `SecurityPackageImpl.getAssignee()`
  - Constant Field Values
Generated

### ASSIGNEE__ANNOTATIONS

static final int ASSIGNEE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSIGNEE__ID

static final int ASSIGNEE__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSIGNEE__ROLES

static final int ASSIGNEE__ROLES
The feature id for the 'Roles' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSIGNEE_FEATURE_COUNT

static final int ASSIGNEE_FEATURE_COUNT
The number of structural features of the 'Assignee' class.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSIGNEE___GET_ANNOTATION__STRING

static final int ASSIGNEE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### ASSIGNEE___GET_REALM

static final int ASSIGNEE___GET_REALM
The operation id for the 'Get Realm' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### ASSIGNEE_OPERATION_COUNT

static final int ASSIGNEE_OPERATION_COUNT
The number of operations of the 'Assignee' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### GROUP

static final int GROUP
The meta object id for the '`Group`' class.

See Also:
  - `GroupImpl`
  - `SecurityPackageImpl.getGroup()`
  - Constant Field Values
Generated

### GROUP__ANNOTATIONS

static final int GROUP__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP__ID

static final int GROUP__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP__ROLES

static final int GROUP__ROLES
The feature id for the 'Roles' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP__USERS

static final int GROUP__USERS
The feature id for the 'Users' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP__INHERITED_GROUPS

static final int GROUP__INHERITED_GROUPS
The feature id for the 'Inherited Groups' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP__INHERITING_GROUPS

static final int GROUP__INHERITING_GROUPS
The feature id for the 'Inheriting Groups' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP__ALL_INHERITED_GROUPS

static final int GROUP__ALL_INHERITED_GROUPS
The feature id for the 'All Inherited Groups' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP__ALL_INHERITING_GROUPS

static final int GROUP__ALL_INHERITING_GROUPS
The feature id for the 'All Inheriting Groups' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP__ALL_ROLES

static final int GROUP__ALL_ROLES
The feature id for the 'All Roles' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP_FEATURE_COUNT

static final int GROUP_FEATURE_COUNT
The number of structural features of the 'Group' class.

See Also:
  - Constant Field Values
Generated
Ordered

### GROUP___GET_ANNOTATION__STRING

static final int GROUP___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### GROUP___GET_REALM

static final int GROUP___GET_REALM
The operation id for the 'Get Realm' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### GROUP_OPERATION_COUNT

static final int GROUP_OPERATION_COUNT
The number of operations of the 'Group' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### USER

static final int USER
The meta object id for the '`User`' class.

See Also:
  - `UserImpl`
  - `SecurityPackageImpl.getUser()`
  - Constant Field Values
Generated

### USER__ANNOTATIONS

static final int USER__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__ID

static final int USER__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__ROLES

static final int USER__ROLES
The feature id for the 'Roles' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__GROUPS

static final int USER__GROUPS
The feature id for the 'Groups' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__LABEL

static final int USER__LABEL
The feature id for the 'Label' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__FIRST_NAME

static final int USER__FIRST_NAME
The feature id for the 'First Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__LAST_NAME

static final int USER__LAST_NAME
The feature id for the 'Last Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__EMAIL

static final int USER__EMAIL
The feature id for the 'Email' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__DEFAULT_ACCESS_OVERRIDE

static final int USER__DEFAULT_ACCESS_OVERRIDE
The feature id for the 'Default Access Override' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__DEFAULT_ACCESS

static final int USER__DEFAULT_ACCESS
The feature id for the 'Default Access' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__LOCKED

static final int USER__LOCKED
The feature id for the 'Locked' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__PASSWORD

static final int USER__PASSWORD
The feature id for the 'Password' containment reference.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__ALL_GROUPS

static final int USER__ALL_GROUPS
The feature id for the 'All Groups' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__ALL_ROLES

static final int USER__ALL_ROLES
The feature id for the 'All Roles' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__ALL_PERMISSIONS

static final int USER__ALL_PERMISSIONS
The feature id for the 'All Permissions' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### USER__UNASSIGNED_ROLES

static final int USER__UNASSIGNED_ROLES
The feature id for the 'Unassigned Roles' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### USER_FEATURE_COUNT

static final int USER_FEATURE_COUNT
The number of structural features of the 'User' class.

See Also:
  - Constant Field Values
Generated
Ordered

### USER___GET_ANNOTATION__STRING

static final int USER___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### USER___GET_REALM

static final int USER___GET_REALM
The operation id for the 'Get Realm' operation.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### USER_OPERATION_COUNT

static final int USER_OPERATION_COUNT
The number of operations of the 'User' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### USER_PASSWORD

static final int USER_PASSWORD
The meta object id for the '`User Password`' class.

See Also:
  - `UserPasswordImpl`
  - `SecurityPackageImpl.getUserPassword()`
  - Constant Field Values
Generated

### USER_PASSWORD__ENCRYPTED

static final int USER_PASSWORD__ENCRYPTED
The feature id for the 'Encrypted' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### USER_PASSWORD_FEATURE_COUNT

static final int USER_PASSWORD_FEATURE_COUNT
The number of structural features of the 'User Password' class.

See Also:
  - Constant Field Values
Generated
Ordered

### USER_PASSWORD_OPERATION_COUNT

static final int USER_PASSWORD_OPERATION_COUNT
The number of operations of the 'User Password' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### PERMISSION

static final int PERMISSION
The meta object id for the '`Permission`' class.

See Also:
  - `PermissionImpl`
  - `SecurityPackageImpl.getPermission()`
  - Constant Field Values
Generated

### PERMISSION__ROLE

static final int PERMISSION__ROLE
The feature id for the 'Role' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### PERMISSION__ACCESS

static final int PERMISSION__ACCESS
The feature id for the 'Access' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### PERMISSION_FEATURE_COUNT

static final int PERMISSION_FEATURE_COUNT
The number of structural features of the 'Permission' class.

See Also:
  - Constant Field Values
Generated
Ordered

### PERMISSION_OPERATION_COUNT

static final int PERMISSION_OPERATION_COUNT
The number of operations of the 'Permission' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_PERMISSION

static final int CLASS_PERMISSION
The meta object id for the '`Class Permission`' class.

See Also:
  - `ClassPermissionImpl`
  - `SecurityPackageImpl.getClassPermission()`
  - Constant Field Values
Generated

### CLASS_PERMISSION__ROLE

static final int CLASS_PERMISSION__ROLE
The feature id for the 'Role' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_PERMISSION__ACCESS

static final int CLASS_PERMISSION__ACCESS
The feature id for the 'Access' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_PERMISSION__APPLICABLE_CLASS

static final int CLASS_PERMISSION__APPLICABLE_CLASS
The feature id for the 'Applicable Class' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_PERMISSION_FEATURE_COUNT

static final int CLASS_PERMISSION_FEATURE_COUNT
The number of structural features of the 'Class Permission' class.

See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_PERMISSION_OPERATION_COUNT

static final int CLASS_PERMISSION_OPERATION_COUNT
The number of operations of the 'Class Permission' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### PACKAGE_PERMISSION

static final int PACKAGE_PERMISSION
The meta object id for the '`Package Permission`' class.

See Also:
  - `PackagePermissionImpl`
  - `SecurityPackageImpl.getPackagePermission()`
  - Constant Field Values
Generated

### PACKAGE_PERMISSION__ROLE

static final int PACKAGE_PERMISSION__ROLE
The feature id for the 'Role' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### PACKAGE_PERMISSION__ACCESS

static final int PACKAGE_PERMISSION__ACCESS
The feature id for the 'Access' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### PACKAGE_PERMISSION__APPLICABLE_PACKAGE

static final int PACKAGE_PERMISSION__APPLICABLE_PACKAGE
The feature id for the 'Applicable Package' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### PACKAGE_PERMISSION_FEATURE_COUNT

static final int PACKAGE_PERMISSION_FEATURE_COUNT
The number of structural features of the 'Package Permission' class.

See Also:
  - Constant Field Values
Generated
Ordered

### PACKAGE_PERMISSION_OPERATION_COUNT

static final int PACKAGE_PERMISSION_OPERATION_COUNT
The number of operations of the 'Package Permission' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_PERMISSION

static final int RESOURCE_PERMISSION
The meta object id for the '`Resource Permission`' class.

See Also:
  - `ResourcePermissionImpl`
  - `SecurityPackageImpl.getResourcePermission()`
  - Constant Field Values
Generated

### RESOURCE_PERMISSION__ROLE

static final int RESOURCE_PERMISSION__ROLE
The feature id for the 'Role' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_PERMISSION__ACCESS

static final int RESOURCE_PERMISSION__ACCESS
The feature id for the 'Access' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_PERMISSION__PATTERN

static final int RESOURCE_PERMISSION__PATTERN
The feature id for the 'Pattern' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_PERMISSION_FEATURE_COUNT

static final int RESOURCE_PERMISSION_FEATURE_COUNT
The number of structural features of the 'Resource Permission' class.

See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_PERMISSION_OPERATION_COUNT

static final int RESOURCE_PERMISSION_OPERATION_COUNT
The number of operations of the 'Resource Permission' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### OBJECT_PERMISSION

static final int OBJECT_PERMISSION
The meta object id for the '`Object Permission`' class.

Since:
  4.2
See Also:
  - `ObjectPermissionImpl`
  - `SecurityPackageImpl.getObjectPermission()`
  - Constant Field Values
Generated

### OBJECT_PERMISSION__ROLE

static final int OBJECT_PERMISSION__ROLE
The feature id for the 'Role' container reference.

Since:
  4.2
See Also:
  - Constant Field Values
Generated
Ordered

### OBJECT_PERMISSION__ACCESS

static final int OBJECT_PERMISSION__ACCESS
The feature id for the 'Access' attribute.

Since:
  4.2
See Also:
  - Constant Field Values
Generated
Ordered

### OBJECT_PERMISSION_FEATURE_COUNT

static final int OBJECT_PERMISSION_FEATURE_COUNT
The number of structural features of the 'Object Permission' class.

Since:
  4.2
See Also:
  - Constant Field Values
Generated
Ordered

### OBJECT_PERMISSION_OPERATION_COUNT

static final int OBJECT_PERMISSION_OPERATION_COUNT
The number of operations of the 'Object Permission' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### FILTER_PERMISSION

static final int FILTER_PERMISSION
The meta object id for the '`Filter Permission`' class.

Since:
  4.3
See Also:
  - `FilterPermissionImpl`
  - `SecurityPackageImpl.getFilterPermission()`
  - Constant Field Values
Generated

### FILTER_PERMISSION__ROLE

static final int FILTER_PERMISSION__ROLE
The feature id for the 'Role' container reference.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### FILTER_PERMISSION__ACCESS

static final int FILTER_PERMISSION__ACCESS
The feature id for the 'Access' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### FILTER_PERMISSION__FILTERS

static final int FILTER_PERMISSION__FILTERS
The feature id for the 'Filters' containment reference list.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### FILTER_PERMISSION_FEATURE_COUNT

static final int FILTER_PERMISSION_FEATURE_COUNT
The number of structural features of the 'Filter Permission' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### FILTER_PERMISSION_OPERATION_COUNT

static final int FILTER_PERMISSION_OPERATION_COUNT
The number of operations of the 'Filter Permission' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### PERMISSION_FILTER

static final int PERMISSION_FILTER
The meta object id for the '`Permission Filter`' class.

Since:
  4.3
See Also:
  - `PermissionFilterImpl`
  - `SecurityPackageImpl.getPermissionFilter()`
  - Constant Field Values
Generated

### PERMISSION_FILTER_FEATURE_COUNT

static final int PERMISSION_FILTER_FEATURE_COUNT
The number of structural features of the 'Permission Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### PERMISSION_FILTER_OPERATION_COUNT

static final int PERMISSION_FILTER_OPERATION_COUNT
The number of operations of the 'Permission Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### LINKED_FILTER

static final int LINKED_FILTER
The meta object id for the '`Linked Filter`' class.

Since:
  4.3
See Also:
  - `LinkedFilterImpl`
  - `SecurityPackageImpl.getLinkedFilter()`
  - Constant Field Values
Generated

### LINKED_FILTER__FILTER

static final int LINKED_FILTER__FILTER
The feature id for the 'Filter' reference.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### LINKED_FILTER_FEATURE_COUNT

static final int LINKED_FILTER_FEATURE_COUNT
The number of structural features of the 'Linked Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### LINKED_FILTER_OPERATION_COUNT

static final int LINKED_FILTER_OPERATION_COUNT
The number of operations of the 'Linked Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### PACKAGE_FILTER

static final int PACKAGE_FILTER
The meta object id for the '`Package Filter`' class.

Since:
  4.3
See Also:
  - `PackageFilterImpl`
  - `SecurityPackageImpl.getPackageFilter()`
  - Constant Field Values
Generated

### PACKAGE_FILTER__APPLICABLE_PACKAGE

static final int PACKAGE_FILTER__APPLICABLE_PACKAGE
The feature id for the 'Applicable Package' reference.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### PACKAGE_FILTER_FEATURE_COUNT

static final int PACKAGE_FILTER_FEATURE_COUNT
The number of structural features of the 'Package Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### PACKAGE_FILTER_OPERATION_COUNT

static final int PACKAGE_FILTER_OPERATION_COUNT
The number of operations of the 'Package Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_FILTER

static final int CLASS_FILTER
The meta object id for the '`Class Filter`' class.

Since:
  4.3
See Also:
  - `ClassFilterImpl`
  - `SecurityPackageImpl.getClassFilter()`
  - Constant Field Values
Generated

### CLASS_FILTER__APPLICABLE_CLASS

static final int CLASS_FILTER__APPLICABLE_CLASS
The feature id for the 'Applicable Class' reference.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_FILTER__SUB_TYPES

static final int CLASS_FILTER__SUB_TYPES
The feature id for the 'Sub Types' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_FILTER_FEATURE_COUNT

static final int CLASS_FILTER_FEATURE_COUNT
The number of structural features of the 'Class Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### CLASS_FILTER_OPERATION_COUNT

static final int CLASS_FILTER_OPERATION_COUNT
The number of operations of the 'Class Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER

static final int RESOURCE_FILTER
The meta object id for the '`Resource Filter`' class.

Since:
  4.3
See Also:
  - `ResourceFilterImpl`
  - `SecurityPackageImpl.getResourceFilter()`
  - Constant Field Values
Generated

### RESOURCE_FILTER__PATH

static final int RESOURCE_FILTER__PATH
The feature id for the 'Path' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER__PATTERN_STYLE

static final int RESOURCE_FILTER__PATTERN_STYLE
The feature id for the 'Pattern Style' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER__FOLDERS

static final int RESOURCE_FILTER__FOLDERS
The feature id for the 'Folders' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER__TEXT_RESOURCES

static final int RESOURCE_FILTER__TEXT_RESOURCES
The feature id for the 'Text Resources' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER__BINARY_RESOURCES

static final int RESOURCE_FILTER__BINARY_RESOURCES
The feature id for the 'Binary Resources' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER__MODEL_RESOURCES

static final int RESOURCE_FILTER__MODEL_RESOURCES
The feature id for the 'Model Resources' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER__MODEL_OBJECTS

static final int RESOURCE_FILTER__MODEL_OBJECTS
The feature id for the 'Model Objects' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER__INCLUDE_PARENTS

static final int RESOURCE_FILTER__INCLUDE_PARENTS
The feature id for the 'Include Parents' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER__INCLUDE_ROOT

static final int RESOURCE_FILTER__INCLUDE_ROOT
The feature id for the 'Include Root' attribute.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER_FEATURE_COUNT

static final int RESOURCE_FILTER_FEATURE_COUNT
The number of structural features of the 'Resource Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### RESOURCE_FILTER_OPERATION_COUNT

static final int RESOURCE_FILTER_OPERATION_COUNT
The number of operations of the 'Resource Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### OBJECT_FILTER

static final int OBJECT_FILTER
The meta object id for the '`Object Filter`' class.

Since:
  4.3
See Also:
  - `ObjectFilterImpl`
  - `SecurityPackageImpl.getObjectFilter()`
  - Constant Field Values
Generated

### OBJECT_FILTER_FEATURE_COUNT

static final int OBJECT_FILTER_FEATURE_COUNT
The number of structural features of the 'Object Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### OBJECT_FILTER_OPERATION_COUNT

static final int OBJECT_FILTER_OPERATION_COUNT
The number of operations of the 'Object Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### EXPRESSION_FILTER

static final int EXPRESSION_FILTER
The meta object id for the '`Expression Filter`' class.

Since:
  4.3
See Also:
  - `ExpressionFilterImpl`
  - `SecurityPackageImpl.getExpressionFilter()`
  - Constant Field Values
Generated

### EXPRESSION_FILTER__EXPRESSION

static final int EXPRESSION_FILTER__EXPRESSION
The feature id for the 'Expression' containment reference.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### EXPRESSION_FILTER_FEATURE_COUNT

static final int EXPRESSION_FILTER_FEATURE_COUNT
The number of structural features of the 'Expression Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### EXPRESSION_FILTER_OPERATION_COUNT

static final int EXPRESSION_FILTER_OPERATION_COUNT
The number of operations of the 'Expression Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### COMBINED_FILTER

static final int COMBINED_FILTER
The meta object id for the '`Combined Filter`' class.

Since:
  4.3
See Also:
  - `CombinedFilterImpl`
  - `SecurityPackageImpl.getCombinedFilter()`
  - Constant Field Values
Generated

### COMBINED_FILTER__OPERANDS

static final int COMBINED_FILTER__OPERANDS
The feature id for the 'Operands' containment reference list.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### COMBINED_FILTER_FEATURE_COUNT

static final int COMBINED_FILTER_FEATURE_COUNT
The number of structural features of the 'Combined Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### COMBINED_FILTER_OPERATION_COUNT

static final int COMBINED_FILTER_OPERATION_COUNT
The number of operations of the 'Combined Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### NOT_FILTER

static final int NOT_FILTER
The meta object id for the '`Not Filter`' class.

Since:
  4.3
See Also:
  - `NotFilterImpl`
  - `SecurityPackageImpl.getNotFilter()`
  - Constant Field Values
Generated

### NOT_FILTER__OPERANDS

static final int NOT_FILTER__OPERANDS
The feature id for the 'Operands' containment reference list.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### NOT_FILTER_FEATURE_COUNT

static final int NOT_FILTER_FEATURE_COUNT
The number of structural features of the 'Not Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### NOT_FILTER_OPERATION_COUNT

static final int NOT_FILTER_OPERATION_COUNT
The number of operations of the 'Not Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### AND_FILTER

static final int AND_FILTER
The meta object id for the '`And Filter`' class.

Since:
  4.3
See Also:
  - `AndFilterImpl`
  - `SecurityPackageImpl.getAndFilter()`
  - Constant Field Values
Generated

### AND_FILTER__OPERANDS

static final int AND_FILTER__OPERANDS
The feature id for the 'Operands' containment reference list.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### AND_FILTER_FEATURE_COUNT

static final int AND_FILTER_FEATURE_COUNT
The number of structural features of the 'And Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### AND_FILTER_OPERATION_COUNT

static final int AND_FILTER_OPERATION_COUNT
The number of operations of the 'And Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### OR_FILTER

static final int OR_FILTER
The meta object id for the '`Or Filter`' class.

Since:
  4.3
See Also:
  - `OrFilterImpl`
  - `SecurityPackageImpl.getOrFilter()`
  - Constant Field Values
Generated

### OR_FILTER__OPERANDS

static final int OR_FILTER__OPERANDS
The feature id for the 'Operands' containment reference list.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### OR_FILTER_FEATURE_COUNT

static final int OR_FILTER_FEATURE_COUNT
The number of structural features of the 'Or Filter' class.

Since:
  4.3
See Also:
  - Constant Field Values
Generated
Ordered

### OR_FILTER_OPERATION_COUNT

static final int OR_FILTER_OPERATION_COUNT
The number of operations of the 'Or Filter' class.

Since:
  4.7
See Also:
  - Constant Field Values
Generated
Ordered

### PATTERN_STYLE

static final int PATTERN_STYLE
The meta object id for the '`Pattern Style`' enum.

Since:
  4.3
See Also:
  - `PatternStyle`
  - `SecurityPackageImpl.getPatternStyle()`
  - Constant Field Values
Generated

### ACCESS

static final int ACCESS
The meta object id for the '`Access`' enum.

See Also:
  - `Access`
  - `SecurityPackageImpl.getAccess()`
  - Constant Field Values
Generated
No Reference
  This field is not intended to be referenced by clients.

### ACCESS_OBJECT

static final int ACCESS_OBJECT
The meta object id for the 'Access Object' data type.

See Also:
  - `Access`
  - `SecurityPackageImpl.getAccessObject()`
  - Constant Field Values
Generated
No Reference
  This field is not intended to be referenced by clients.

## Method Details

### getSecurityElement

EClass getSecurityElement()
Returns the meta object for class '`Element`'.

Returns:
  the meta object for class 'Element'.
See Also:
  - `SecurityElement`
Generated

### getSecurityElement__GetRealm

EOperation getSecurityElement__GetRealm()
Returns the meta object for the '`Get Realm`' operation.

Returns:
  the meta object for the 'Get Realm' operation.
Since:
  4.7
See Also:
  - `SecurityElement.getRealm()`
Generated

### getRealm

EClass getRealm()
Returns the meta object for class '`Realm`'.

Returns:
  the meta object for class 'Realm'.
See Also:
  - `Realm`
Generated

### getRealm_Items

EReference getRealm_Items()
Returns the meta object for the containment reference list '`Items`'.

Returns:
  the meta object for the containment reference list 'Items'.
See Also:
  - `Realm.getItems()`
  - `getRealm()`
Generated

### getRealm_AllUsers

EReference getRealm_AllUsers()
Returns the meta object for the reference list '`All Users`'.

Returns:
  the meta object for the reference list 'All Users'.
See Also:
  - `Realm.getAllUsers()`
  - `getRealm()`
Generated

### getRealm_AllGroups

EReference getRealm_AllGroups()
Returns the meta object for the reference list '`All Groups`'.

Returns:
  the meta object for the reference list 'All Groups'.
See Also:
  - `Realm.getAllGroups()`
  - `getRealm()`
Generated

### getRealm_AllRoles

EReference getRealm_AllRoles()
Returns the meta object for the reference list '`All Roles`'.

Returns:
  the meta object for the reference list 'All Roles'.
See Also:
  - `Realm.getAllRoles()`
  - `getRealm()`
Generated

### getRealm_AllPermissions

EReference getRealm_AllPermissions()
Returns the meta object for the reference list '`All Permissions`'.

Returns:
  the meta object for the reference list 'All Permissions'.
See Also:
  - `Realm.getAllPermissions()`
  - `getRealm()`
Generated

### getRealm_Name

EAttribute getRealm_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Realm.getName()`
  - `getRealm()`
Generated

### getRealm_DefaultAccess

EAttribute getRealm_DefaultAccess()
Returns the meta object for the attribute '`Default Access`'.

Returns:
  the meta object for the attribute 'Default Access'.
See Also:
  - `Realm.getDefaultAccess()`
  - `getRealm()`
Generated

### getRealm_DefaultUserDirectory

EReference getRealm_DefaultUserDirectory()
Returns the meta object for the reference '`Default User Directory`'.

Returns:
  the meta object for the reference 'Default User Directory'.
Since:
  4.2
See Also:
  - `Realm.getDefaultUserDirectory()`
  - `getRealm()`
Generated

### getRealm_DefaultGroupDirectory

EReference getRealm_DefaultGroupDirectory()
Returns the meta object for the reference '`Default Group Directory`'.

Returns:
  the meta object for the reference 'Default Group Directory'.
Since:
  4.2
See Also:
  - `Realm.getDefaultGroupDirectory()`
  - `getRealm()`
Generated

### getRealm_DefaultRoleDirectory

EReference getRealm_DefaultRoleDirectory()
Returns the meta object for the reference '`Default Role Directory`'.

Returns:
  the meta object for the reference 'Default Role Directory'.
Since:
  4.2
See Also:
  - `Realm.getDefaultRoleDirectory()`
  - `getRealm()`
Generated

### getDirectory

EClass getDirectory()
Returns the meta object for class '`Directory`'.

Returns:
  the meta object for class 'Directory'.
See Also:
  - `Directory`
Generated

### getDirectory_Items

EReference getDirectory_Items()
Returns the meta object for the containment reference list '`Items`'.

Returns:
  the meta object for the containment reference list 'Items'.
See Also:
  - `Directory.getItems()`
  - `getDirectory()`
Generated

### getDirectory_Name

EAttribute getDirectory_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Directory.getName()`
  - `getDirectory()`
Generated

### getSecurityItem

EClass getSecurityItem()
Returns the meta object for class '`Item`'.

Returns:
  the meta object for class 'Item'.
See Also:
  - `SecurityItem`
Generated

### getRole

EClass getRole()
Returns the meta object for class '`Role`'.

Returns:
  the meta object for class 'Role'.
See Also:
  - `Role`
Generated

### getRole_Assignees

EReference getRole_Assignees()
Returns the meta object for the reference list '`Assignees`'.

Returns:
  the meta object for the reference list 'Assignees'.
See Also:
  - `Role.getAssignees()`
  - `getRole()`
Generated

### getRole_Id

EAttribute getRole_Id()
Returns the meta object for the attribute '`Id`'.

Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `Role.getId()`
  - `getRole()`
Generated

### getRole_Permissions

EReference getRole_Permissions()
Returns the meta object for the containment reference list '`Permissions`'.

Returns:
  the meta object for the containment reference list 'Permissions'.
See Also:
  - `Role.getPermissions()`
  - `getRole()`
Generated

### getAssignee

EClass getAssignee()
Returns the meta object for class '`Assignee`'.

Returns:
  the meta object for class 'Assignee'.
See Also:
  - `Assignee`
Generated

### getAssignee_Roles

EReference getAssignee_Roles()
Returns the meta object for the reference list '`Roles`'.

Returns:
  the meta object for the reference list 'Roles'.
See Also:
  - `Assignee.getRoles()`
  - `getAssignee()`
Generated

### getAssignee_Id

EAttribute getAssignee_Id()
Returns the meta object for the attribute '`Id`'.

Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `Assignee.getId()`
  - `getAssignee()`
Generated

### getGroup

EClass getGroup()
Returns the meta object for class '`Group`'.

Returns:
  the meta object for class 'Group'.
See Also:
  - `Group`
Generated

### getGroup_Users

EReference getGroup_Users()
Returns the meta object for the reference list '`Users`'.

Returns:
  the meta object for the reference list 'Users'.
See Also:
  - `Group.getUsers()`
  - `getGroup()`
Generated

### getGroup_InheritedGroups

EReference getGroup_InheritedGroups()
Returns the meta object for the reference list '`Inherited Groups`'.

Returns:
  the meta object for the reference list 'Inherited Groups'.
See Also:
  - `Group.getInheritedGroups()`
  - `getGroup()`
Generated

### getGroup_InheritingGroups

EReference getGroup_InheritingGroups()
Returns the meta object for the reference list '`Inheriting Groups`'.

Returns:
  the meta object for the reference list 'Inheriting Groups'.
See Also:
  - `Group.getInheritingGroups()`
  - `getGroup()`
Generated

### getGroup_AllInheritingGroups

EReference getGroup_AllInheritingGroups()
Returns the meta object for the reference list '`All Inheriting Groups`'.

Returns:
  the meta object for the reference list 'All Inheriting Groups'.
See Also:
  - `Group.getAllInheritingGroups()`
  - `getGroup()`
Generated

### getGroup_AllInheritedGroups

EReference getGroup_AllInheritedGroups()
Returns the meta object for the reference list '`All Inherited Groups`'.

Returns:
  the meta object for the reference list 'All Inherited Groups'.
See Also:
  - `Group.getAllInheritedGroups()`
  - `getGroup()`
Generated

### getGroup_AllRoles

EReference getGroup_AllRoles()
Returns the meta object for the reference list '`All Roles`'.

Returns:
  the meta object for the reference list 'All Roles'.
See Also:
  - `Group.getAllRoles()`
  - `getGroup()`
Generated

### getUser

EClass getUser()
Returns the meta object for class '`User`'.

Returns:
  the meta object for class 'User'.
See Also:
  - `User`
Generated

### getUser_Groups

EReference getUser_Groups()
Returns the meta object for the reference list '`Groups`'.

Returns:
  the meta object for the reference list 'Groups'.
See Also:
  - `User.getGroups()`
  - `getUser()`
Generated

### getUser_AllGroups

EReference getUser_AllGroups()
Returns the meta object for the reference list '`All Groups`'.

Returns:
  the meta object for the reference list 'All Groups'.
See Also:
  - `User.getAllGroups()`
  - `getUser()`
Generated

### getUser_AllRoles

EReference getUser_AllRoles()
Returns the meta object for the reference list '`All Roles`'.

Returns:
  the meta object for the reference list 'All Roles'.
See Also:
  - `User.getAllRoles()`
  - `getUser()`
Generated

### getUser_AllPermissions

EReference getUser_AllPermissions()
Returns the meta object for the reference list '`All Permissions`'.

Returns:
  the meta object for the reference list 'All Permissions'.
See Also:
  - `User.getAllPermissions()`
  - `getUser()`
Generated

### getUser_UnassignedRoles

EReference getUser_UnassignedRoles()
Returns the meta object for the reference list '`Unassigned Roles`'.

Returns:
  the meta object for the reference list 'Unassigned Roles'.
See Also:
  - `User.getUnassignedRoles()`
  - `getUser()`
Generated

### getUser_Label

EAttribute getUser_Label()
Returns the meta object for the attribute '`Label`'.

Returns:
  the meta object for the attribute 'Label'.
See Also:
  - `User.getLabel()`
  - `getUser()`
Generated

### getUser_FirstName

EAttribute getUser_FirstName()
Returns the meta object for the attribute '`First Name`'.

Returns:
  the meta object for the attribute 'First Name'.
See Also:
  - `User.getFirstName()`
  - `getUser()`
Generated

### getUser_LastName

EAttribute getUser_LastName()
Returns the meta object for the attribute '`Last Name`'.

Returns:
  the meta object for the attribute 'Last Name'.
See Also:
  - `User.getLastName()`
  - `getUser()`
Generated

### getUser_Email

EAttribute getUser_Email()
Returns the meta object for the attribute '`Email`'.

Returns:
  the meta object for the attribute 'Email'.
See Also:
  - `User.getEmail()`
  - `getUser()`
Generated

### getUser_DefaultAccessOverride

EAttribute getUser_DefaultAccessOverride()
Returns the meta object for the attribute '`Default Access Override`'.

Returns:
  the meta object for the attribute 'Default Access Override'.
See Also:
  - `User.getDefaultAccessOverride()`
  - `getUser()`
Generated

### getUser_DefaultAccess

EAttribute getUser_DefaultAccess()
Returns the meta object for the attribute '`Default Access`'.

Returns:
  the meta object for the attribute 'Default Access'.
See Also:
  - `User.getDefaultAccess()`
  - `getUser()`
Generated

### getUser_Locked

EAttribute getUser_Locked()
Returns the meta object for the attribute '`Locked`'.

Returns:
  the meta object for the attribute 'Locked'.
See Also:
  - `User.isLocked()`
  - `getUser()`
Generated

### getUser_Password

EReference getUser_Password()
Returns the meta object for the containment reference '`Password`'.

Returns:
  the meta object for the containment reference 'Password'.
See Also:
  - `User.getPassword()`
  - `getUser()`
Generated

### getUserPassword

EClass getUserPassword()
Returns the meta object for class '`User Password`'.

Returns:
  the meta object for class 'User Password'.
See Also:
  - `UserPassword`
Generated

### getUserPassword_Encrypted

EAttribute getUserPassword_Encrypted()
Returns the meta object for the attribute '`Encrypted`'.

Returns:
  the meta object for the attribute 'Encrypted'.
See Also:
  - `UserPassword.getEncrypted()`
  - `getUserPassword()`
Generated

### getPermission

EClass getPermission()
Returns the meta object for class '`Permission`'.

Returns:
  the meta object for class 'Permission'.
See Also:
  - `Permission`
Generated

### getPermission_Role

EReference getPermission_Role()
Returns the meta object for the container reference '`Role`'.

Returns:
  the meta object for the container reference 'Role'.
See Also:
  - `Permission.getRole()`
  - `getPermission()`
Generated

### getPermission_Access

EAttribute getPermission_Access()
Returns the meta object for the attribute '`Access`'.

Returns:
  the meta object for the attribute 'Access'.
See Also:
  - `Permission.getAccess()`
  - `getPermission()`
Generated

### getClassPermission

EClass getClassPermission()
Returns the meta object for class '`Class Permission`'.

Returns:
  the meta object for class 'Class Permission'.
See Also:
  - `ClassPermission`
Generated

### getClassPermission_ApplicableClass

EReference getClassPermission_ApplicableClass()
Returns the meta object for the reference '`Applicable Class`'.

Returns:
  the meta object for the reference 'Applicable Class'.
See Also:
  - `ClassPermission.getApplicableClass()`
  - `getClassPermission()`
Generated

### getPackagePermission

EClass getPackagePermission()
Returns the meta object for class '`Package Permission`'.

Returns:
  the meta object for class 'Package Permission'.
See Also:
  - `PackagePermission`
Generated

### getPackagePermission_ApplicablePackage

EReference getPackagePermission_ApplicablePackage()
Returns the meta object for the reference '`Applicable Package`'.

Returns:
  the meta object for the reference 'Applicable Package'.
See Also:
  - `PackagePermission.getApplicablePackage()`
  - `getPackagePermission()`
Generated

### getResourcePermission

EClass getResourcePermission()
Returns the meta object for class '`Resource Permission`'.

Returns:
  the meta object for class 'Resource Permission'.
See Also:
  - `ResourcePermission`
Generated

### getResourcePermission_Pattern

EAttribute getResourcePermission_Pattern()
Returns the meta object for the attribute '`Pattern`'.

Returns:
  the meta object for the attribute 'Pattern'.
See Also:
  - `ResourcePermission.getPattern()`
  - `getResourcePermission()`
Generated

### getObjectPermission

EClass getObjectPermission()
Returns the meta object for class '`Object Permission`'.

Returns:
  the meta object for class 'Object Permission'.
Since:
  4.2
See Also:
  - `ObjectPermission`
Generated

### getFilterPermission

EClass getFilterPermission()
Returns the meta object for class '`Filter Permission`'.

Returns:
  the meta object for class 'Filter Permission'.
Since:
  4.3
See Also:
  - `FilterPermission`
Generated

### getFilterPermission_Filters

EReference getFilterPermission_Filters()
Returns the meta object for the containment reference list '`Filters`'.

Returns:
  the meta object for the containment reference list 'Filters'.
Since:
  4.3
See Also:
  - `FilterPermission.getFilters()`
  - `getFilterPermission()`
Generated

### getPermissionFilter

EClass getPermissionFilter()
Returns the meta object for class '`Permission Filter`'.

Returns:
  the meta object for class 'Permission Filter'.
Since:
  4.3
See Also:
  - `PermissionFilter`
Generated

### getLinkedFilter

EClass getLinkedFilter()
Returns the meta object for class '`Linked Filter`'.

Returns:
  the meta object for class 'Linked Filter'.
Since:
  4.3
See Also:
  - `LinkedFilter`
Generated

### getLinkedFilter_Filter

EReference getLinkedFilter_Filter()
Returns the meta object for the reference '`Filter`'.

Returns:
  the meta object for the reference 'Filter'.
Since:
  4.3
See Also:
  - `LinkedFilter.getFilter()`
  - `getLinkedFilter()`
Generated

### getPackageFilter

EClass getPackageFilter()
Returns the meta object for class '`Package Filter`'.

Returns:
  the meta object for class 'Package Filter'.
Since:
  4.3
See Also:
  - `PackageFilter`
Generated

### getPackageFilter_ApplicablePackage

EReference getPackageFilter_ApplicablePackage()
Returns the meta object for the reference '`Applicable Package`'.

Returns:
  the meta object for the reference 'Applicable Package'.
Since:
  4.3
See Also:
  - `PackageFilter.getApplicablePackage()`
  - `getPackageFilter()`
Generated

### getClassFilter

EClass getClassFilter()
Returns the meta object for class '`Class Filter`'.

Returns:
  the meta object for class 'Class Filter'.
Since:
  4.3
See Also:
  - `ClassFilter`
Generated

### getClassFilter_ApplicableClass

EReference getClassFilter_ApplicableClass()
Returns the meta object for the reference '`Applicable Class`'.

Returns:
  the meta object for the reference 'Applicable Class'.
Since:
  4.3
See Also:
  - `ClassFilter.getApplicableClass()`
  - `getClassFilter()`
Generated

### getClassFilter_SubTypes

EAttribute getClassFilter_SubTypes()
Returns the meta object for the attribute '`Sub Types`'.

Returns:
  the meta object for the attribute 'Sub Types'.
Since:
  4.3
See Also:
  - `ClassFilter.isSubTypes()`
  - `getClassFilter()`
Generated

### getResourceFilter

EClass getResourceFilter()
Returns the meta object for class '`Resource Filter`'.

Returns:
  the meta object for class 'Resource Filter'.
Since:
  4.3
See Also:
  - `ResourceFilter`
Generated

### getResourceFilter_Path

EAttribute getResourceFilter_Path()
Returns the meta object for the attribute '`Path`'.

Returns:
  the meta object for the attribute 'Path'.
Since:
  4.3
See Also:
  - `ResourceFilter.getPath()`
  - `getResourceFilter()`
Generated

### getResourceFilter_PatternStyle

EAttribute getResourceFilter_PatternStyle()
Returns the meta object for the attribute '`Pattern Style`'.

Returns:
  the meta object for the attribute 'Pattern Style'.
Since:
  4.3
See Also:
  - `ResourceFilter.getPatternStyle()`
  - `getResourceFilter()`
Generated

### getResourceFilter_Folders

EAttribute getResourceFilter_Folders()
Returns the meta object for the attribute '`Folders`'.

Returns:
  the meta object for the attribute 'Folders'.
Since:
  4.3
See Also:
  - `ResourceFilter.isFolders()`
  - `getResourceFilter()`
Generated

### getResourceFilter_ModelResources

EAttribute getResourceFilter_ModelResources()
Returns the meta object for the attribute '`Model Resources`'.

Returns:
  the meta object for the attribute 'Model Resources'.
Since:
  4.3
See Also:
  - `ResourceFilter.isModelResources()`
  - `getResourceFilter()`
Generated

### getResourceFilter_ModelObjects

EAttribute getResourceFilter_ModelObjects()
Returns the meta object for the attribute '`Model Objects`'.

Returns:
  the meta object for the attribute 'Model Objects'.
Since:
  4.3
See Also:
  - `ResourceFilter.isModelObjects()`
  - `getResourceFilter()`
Generated

### getResourceFilter_IncludeParents

EAttribute getResourceFilter_IncludeParents()
Returns the meta object for the attribute '`Include Parents`'.

Returns:
  the meta object for the attribute 'Include Parents'.
Since:
  4.3
See Also:
  - `ResourceFilter.isIncludeParents()`
  - `getResourceFilter()`
Generated

### getResourceFilter_IncludeRoot

EAttribute getResourceFilter_IncludeRoot()
Returns the meta object for the attribute '`Include Root`'.

Returns:
  the meta object for the attribute 'Include Root'.
Since:
  4.3
See Also:
  - `ResourceFilter.isIncludeRoot()`
  - `getResourceFilter()`
Generated

### getResourceFilter_TextResources

EAttribute getResourceFilter_TextResources()
Returns the meta object for the attribute '`Text Resources`'.

Returns:
  the meta object for the attribute 'Text Resources'.
Since:
  4.3
See Also:
  - `ResourceFilter.isTextResources()`
  - `getResourceFilter()`
Generated

### getResourceFilter_BinaryResources

EAttribute getResourceFilter_BinaryResources()
Returns the meta object for the attribute '`Binary Resources`'.

Returns:
  the meta object for the attribute 'Binary Resources'.
Since:
  4.3
See Also:
  - `ResourceFilter.isBinaryResources()`
  - `getResourceFilter()`
Generated

### getObjectFilter

EClass getObjectFilter()
Returns the meta object for class '`Object Filter`'.

Returns:
  the meta object for class 'Object Filter'.
Since:
  4.3
See Also:
  - `ObjectFilter`
Generated

### getExpressionFilter

EClass getExpressionFilter()
Returns the meta object for class '`Expression Filter`'.

Returns:
  the meta object for class 'Expression Filter'.
Since:
  4.3
See Also:
  - `ExpressionFilter`
Generated

### getExpressionFilter_Expression

EReference getExpressionFilter_Expression()
Returns the meta object for the containment reference '`Expression`'.

Returns:
  the meta object for the containment reference 'Expression'.
Since:
  4.3
See Also:
  - `ExpressionFilter.getExpression()`
  - `getExpressionFilter()`
Generated

### getCombinedFilter

EClass getCombinedFilter()
Returns the meta object for class '`Combined Filter`'.

Returns:
  the meta object for class 'Combined Filter'.
Since:
  4.3
See Also:
  - `CombinedFilter`
Generated

### getCombinedFilter_Operands

EReference getCombinedFilter_Operands()
Returns the meta object for the containment reference list '`Operands`'.

Returns:
  the meta object for the containment reference list 'Operands'.
Since:
  4.3
See Also:
  - `CombinedFilter.getOperands()`
  - `getCombinedFilter()`
Generated

### getNotFilter

EClass getNotFilter()
Returns the meta object for class '`Not Filter`'.

Returns:
  the meta object for class 'Not Filter'.
Since:
  4.3
See Also:
  - `NotFilter`
Generated

### getAndFilter

EClass getAndFilter()
Returns the meta object for class '`And Filter`'.

Returns:
  the meta object for class 'And Filter'.
Since:
  4.3
See Also:
  - `AndFilter`
Generated

### getOrFilter

EClass getOrFilter()
Returns the meta object for class '`Or Filter`'.

Returns:
  the meta object for class 'Or Filter'.
Since:
  4.3
See Also:
  - `OrFilter`
Generated

### getPatternStyle

EEnum getPatternStyle()
Returns the meta object for enum '`Pattern Style`'.

Returns:
  the meta object for enum 'Pattern Style'.
Since:
  4.3
See Also:
  - `PatternStyle`
Generated

### getAccess

EEnum getAccess()
Returns the meta object for enum '`Access`'.

Returns:
  the meta object for enum 'Access'.
See Also:
  - `Access`
Generated

### getAccessObject

EDataType getAccessObject()
Returns the meta object for data type '`Access Object`'.

Returns:
  the meta object for data type 'Access Object'.
See Also:
  - `Access`
Generated
Model
  instanceClass="org.eclipse.emf.cdo.security.Access" extendedMetaData="name='Access:Object' baseType='Access'"

### getSecurityFactory

SecurityFactory getSecurityFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated